Bug 855486 - [abrt] hugin-2011.4.0-5.fc17: main_arena: Process /usr/bin/hugin was killed by signal 11 (SIGSEGV)
[abrt] hugin-2011.4.0-5.fc17: main_arena: Process /usr/bin/hugin was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hugin (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Postle
Fedora Extras Quality Assurance
abrt_hash:385926c9db361aaeab1d637cbaf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 22:48 EDT by Tobias Mueller
Modified: 2013-07-31 17:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:42:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (766 bytes, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details
File: environ (1.85 KB, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details
File: backtrace (71.12 KB, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details
File: maps (67.80 KB, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details
File: dso_list (11.80 KB, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details
File: var_log_messages (315 bytes, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details
File: open_fds (426 bytes, text/plain)
2012-09-07 22:48 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-09-07 22:48:04 EDT
Description of problem:
clicked through projection modes

Version-Release number of selected component:
hugin-2011.4.0-5.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        hugin /tmp/DCIM/porto-bento/20120809_005-20120809_016.pto
crash_function: main_arena
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (5 frames)
: #0 main_arena at /lib64/libc.so.6
: #1 wxWindowBase::Close at src/common/wincmn.cpp
: #2 MainFrame::MainFrame at /usr/src/debug/hugin-2011.4.0/src/hugin1/hugin/MainFrame.cpp
: #3 huginApp::OnInit at /usr/src/debug/hugin-2011.4.0/src/hugin1/hugin/huginApp.cpp
: #4 wxEntry at src/common/init.cpp
Comment 1 Tobias Mueller 2012-09-07 22:48:07 EDT
Created attachment 610903 [details]
File: core_backtrace
Comment 2 Tobias Mueller 2012-09-07 22:48:09 EDT
Created attachment 610904 [details]
File: environ
Comment 3 Tobias Mueller 2012-09-07 22:48:12 EDT
Created attachment 610905 [details]
File: backtrace
Comment 4 Tobias Mueller 2012-09-07 22:48:15 EDT
Created attachment 610906 [details]
File: limits
Comment 5 Tobias Mueller 2012-09-07 22:48:17 EDT
Created attachment 610907 [details]
File: cgroup
Comment 6 Tobias Mueller 2012-09-07 22:48:19 EDT
Created attachment 610908 [details]
File: maps
Comment 7 Tobias Mueller 2012-09-07 22:48:21 EDT
Created attachment 610909 [details]
File: dso_list
Comment 8 Tobias Mueller 2012-09-07 22:48:26 EDT
Created attachment 610910 [details]
File: var_log_messages
Comment 9 Tobias Mueller 2012-09-07 22:48:28 EDT
Created attachment 610911 [details]
File: open_fds
Comment 10 Bruno Postle 2012-09-09 16:04:25 EDT
Do you still have the .pto project file that produces this error? I can't get Hugin here to crash by cycling through the projections.
Comment 11 Tobias Mueller 2012-09-10 16:53:20 EDT
hm. no. I can't get it to crash now, either.
Comment 12 Fedora End Of Life 2013-07-03 16:59:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-07-31 17:42:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.